﻿using System;
namespace Facade.Ejm1
{
    public class Address
    {
        private String _Address;
        private String City;
        private String State;
        private const String AddressDataFile = "Address.txt";

        public Address(String add, String cty, String st)
        {
            _Address = add;
            City = cty;
            State = st;
        }

        public bool IsValid()
        {
            /*
             * The address validation algorithm could be complex in real-world
             * applications. Let's go with simpler validation here to keep the
             * example simpler.
             */
            if (GetState().Trim().Length < 2)
                return false;
            return true;
        }

        public bool Save()
        {
            // FileUtil futil = new FileUtil();
            String dataLine = GetAddress() + "," + GetCity() + "," + GetState();
            // return futil.writeToFile(ADDRESS_DATA_FILE, dataLine,true, true);
            Console.WriteLine("Grabado el archivo " + AddressDataFile + " Texto:"
                    + dataLine);
            return true;
        }

        public String GetAddress()
        {
            return _Address;
        }

        public String GetCity()
        {
            return City;
        }

        public String GetState()
        {
            return State;
        }
    }

}
