﻿using System;
namespace Facade.Ejm1
{
    public class CreditCard
    {
        private string CardType;
        private string CardNumber;
        private string CardExpDate;
        private const string CCDataFile = "CC.txt";

        public CreditCard(string ccType, string ccNumber, string ccExpDate)
        {
            CardType = ccType;
            CardNumber = ccNumber;
            CardExpDate = ccExpDate;
        }

        public bool IsValid()
        {
            /*
             * Let's go with simpler validation here to keep the example simpler.
             */

            if (GetCardType().Equals("VISA"))
            {
                return (GetCardNumber().Trim().Length == 16);
            }
            if (GetCardType().Equals("DISCOVER"))
            {
                return (GetCardNumber().Trim().Length == 15);
            }
            if (GetCardType().Equals("MASTER"))
            {
                return (GetCardNumber().Trim().Length == 16);
            }
            return false;
        }

        public bool Save()
        {
            //FileUtil futil = new FileUtil();
            string dataLine =
              GetCardType() + "," + GetCardNumber() + "," +
              GetCardExpDate();
            //return futil.writeToFile(CC_DATA_FILE, dataLine, true,true);
            Console.WriteLine("Grabado el archivo " + CCDataFile + " Texto:"
                    + dataLine);
            return true;
        }

        public string GetCardType()
        {
            return CardType;
        }

        public string GetCardNumber()
        {
            return CardNumber;
        }

        public string GetCardExpDate()
        {
            return CardExpDate;
        }
    }
}
